帖子

获取串帖

GET /v1/tweets/{tweet_id}/thread reads 2 额度

经过某条帖子的作者自己的串帖:包含它的自我回复链,从对话的第一条帖子起,沿作者的连续回复向下,无论给定的帖子是第一条、中间一条还是最后一条。作者在同一对话中对他人评论的回复不属于串帖。

响应

帖子 id 和串帖中的帖子,按 id 排序(最早在前);不属于任何串帖的帖子单独返回。未知的帖子返回 404。

状态: 200, 404, 422, 429, 502

请求
curl https://api.xsignalfeed.com/v1/tweets/2100389563898495436/thread \
  -H "Authorization: Bearer xsf_your_key"
响应 · 200 / 404
{
  "tweet_id": "2100389563898495436",
  "tweets": [
    {
      "id": 2100389274051043375,
      "created_ms": 1789606800936,
      "user_id": 1126749496082223104,
      "user": "HYBE_MERCH",
      "name": "HYBE MERCH",
      "text": "BTS (방탄소년단) WORLD TOUR ‘ARIRANG’ Official Merch. 2nd Drop (1/4)…",
      "lang": "ko",
      "reply_to": null,
      "reply_to_status_id": null,
      "reply_to_user_id": null,
      "conversation_id": "2100389274051043375",
      "is_rt": false,
      "rt_of": null,
      "is_quote": false,
      "quoted": null,
      "media": [
        "https://pbs.twimg.com/media/…"
      ],
      "media_items": [
        {
          "type": "photo",
          "url": "https://pbs.twimg.com/media/…",
          "expanded_url": "https://x.com/HYBE_MERCH/status/2100389274051043375/photo/1",
          "width": 1080,
          "height": 1350
        }
      ],
      "urls": [],
      "views": "18211",
      "counts": {
        "reply": 3,
        "rt": 210,
        "like": 640,
        "quote": 2,
        "bookmark": 44
      },
      "source": "<a href=\"https://mobile.twitter.com\" rel=\"nofollow\">Twitter Web App</a>"
    },
    {
      "id": 2100389556948509007,
      "reply_to_status_id": "2100389274051043375",
      "conversation_id": "2100389274051043375",
      "…": "…"
    },
    {
      "id": 2100389560379462133,
      "reply_to_status_id": "2100389556948509007",
      "…": "…"
    },
    {
      "id": 2100389563898495436,
      "reply_to_status_id": "2100389560379462133",
      "…": "…"
    }
  ]
}